/*
 * paintMe_zeil.cpp
 *
 *  Created on: Oct 23, 2012
 *      Author: zeil
 */

#include <iostream>
#include <fstream>
#include <string>
#include <algorithm>

using namespace std;


const int Limit = 100000;



void solveDataSet (istream& in, int n)
{
  int width, length, height, areaPerCan, nOpenings;
  in >> width >> length >> height >> areaPerCan >> nOpenings;
  int area = (width * height) * 2.0 + (length * height) * 2.0  // 4 walls
    + width * length; // ceiling
  for (int i = 0; i < nOpenings; ++i)
    {
      int w, h;
      in >> w >> h;
      area -= h*w;
    }
  area *= n;
  int cans = area / areaPerCan;
  if (area % areaPerCan != 0)
    ++cans;
  /*
  else
      cout << "Exact ";
  */
  cout << cans << endl;
}




void run (istream& in)
{
  int n;
  while (true)
    {
      in >> n;
      if (n > 0)
	solveDataSet (in, n);
      else
	break;
    }
}


int main (int argc, char** argv)
{
  if (argc > 1) {
    ifstream in (argv[1]);
    run(in);
  } else
    run (cin);
  return 0;
}
