
import java.io.*;
import java.util.*;
import java.awt.geom.*;

/**
 * Solution to Paint Me
 * 
 * @author vanb
 */
public class paintme
{
    public Scanner sc;
    public PrintStream ps;
        
    /**
     * Driver.
     * @throws Exception
     */
    public void doit(String filename) throws Exception
    {
        sc = new Scanner( new File( filename ) );
        ps = System.out; // new PrintStream( new FileOutputStream( "paintme.out" ) ); 
                        
        for(;;)
        {
            int n = sc.nextInt();
            int width = sc.nextInt();
            int length = sc.nextInt();
            int height = sc.nextInt();
            int area = sc.nextInt();
            int m = sc.nextInt();
            
            if( n==0 ) break;
            
            // Total for 1 room: 4 walls (2 width*height, 2 length*height), 
            // 1 ceiling (length*width)
            int total = 2*width*height + 2*length*height + width*length;
            
            // Subtract out the windows & doors
            for( int i=0; i<m; i++ )
            {
                int w = sc.nextInt();
                int h = sc.nextInt();
                total -= w*h;
            }
            
            // There are n apartments
            total *= n;
            
            // Number of cans necessary
            int cans = total / area;
            
            // If not evenly divisible, 
            // then we need one more can for the remainder
            if( total % area != 0 ) ++cans;
            
            ps.println( cans );
        }
    }
    
    /**
     * @param args
     */
    public static void main( String[] args ) throws Exception
    {
        new paintme().doit(args[0]);
        
//        Random random = new Random();
//        int count = 0;
//        int ws[] = new int[11];
//        int hs[] = new int[11];
//        while( count<20 )
//        {
//            int n = random.nextInt(100)+1;
//            int width = random.nextInt(91)+10;
//            int length = random.nextInt(91)+10;
//            int height = random.nextInt(23)+8;
//            int area = random.nextInt(901)+100;
//            int m = random.nextInt(11);
//            
//            int total = 2*width*height + 2*length*height + width*length;
//            int biggest = Math.max( width, length );
//            for( int i=0; i<m; i++ )
//            {
//                ws[i] = random.nextInt( biggest ) + 1;
//                hs[i] = random.nextInt( height ) + 1;
//                total -= ws[i]*hs[i];
//            }
//            
//            if( total>0 )
//            {
//                ++count;
//                System.out.println( n + " " + width + " " + length + " " + height + " " + area + " " + m );
//                for( int i=0; i<m; i++ )
//                {
//                    System.out.println( ws[i] + " " + hs[i] );
//                }
//            }
//        }
    }

}
